/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2012, Red Hat, Inc., and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.qa.ejb.backwardscompatibility.entitybean;

import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 * @author ochaloup
 */
public class DataStoreWorkerBean implements SessionBean {
    private static final long serialVersionUID = 1L;

    /* --------- Methods from DataStoreWorker --------- */    
    public void clear() {
        DataStore.DATA.clear();
    }
    
    public String getById(Integer key) {
        return DataStore.DATA.get(key);
    }

    public void put(Integer key, String value) {
        DataStore.DATA.put(key, value);
    }

    public boolean containsKey(Integer key) {
        return DataStore.DATA.containsKey(key);
    }

    
    /* --------- Methods from DataStoreWorkerHome --------- */
    public void ejbCreate() {

    }

    /* --------- Methods from SessionBean --------- */
    public void ejbActivate() {

    }

    public void ejbPassivate() {

    }

    public void ejbRemove() {

    }

    public void setSessionContext(SessionContext context) {

    }
}
